/*
* 
* ProFiDo - The Processes Fitting Toolkit Dortmund
* Copyright (C) 2010 - 2012 LS Informatik IV, TU Dortmund
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*
*/

package core.history;
import core.SelectParameterGroup;
import core.graph.JobNode;

/**
 * This class defines the history object used to change the selected value
 * of a SelectParameterGroup.
 */

public class ChangeSelectParameterGroupValuesHistoryObject extends HistoryObject {
	
	private static final long serialVersionUID = 1L;
	private SelectParameterGroup group;
	private String newChoice;
	private String oldChoice;
	private JobNode node;

	public ChangeSelectParameterGroupValuesHistoryObject(JobNode node, SelectParameterGroup selectParameterGroup, String newChoice,  String oldChoice) {
		this.group = selectParameterGroup;
		this.newChoice = newChoice;
		this.oldChoice = oldChoice;
		this.node = node;
	}
	
	@Override
	public HistoryObject createUndoObject() {
		
		return new ChangeSelectParameterGroupValuesHistoryObject(node ,group, oldChoice, newChoice );
	}

	@Override
	public void performAction() {
		 group.setChoiceValue(newChoice);
		
	}

	@Override
	public String getInformationString() {	
		return "Change Select Parameter (" + group.getName() + ") of Node (" + node.getName() + ") from " + oldChoice + " to " + newChoice;	
	}
}
