/*
* 
* ProFiDo - The Processes Fitting Toolkit Dortmund
* Copyright (C) 2010 - 2012 LS Informatik IV, TU Dortmund
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*
*/

package gui;

import javax.swing.JPanel;
import javax.swing.JFrame;

import core.graph.Edge;


/**
 * This class defines the properties of the "Edit File" frame.
 * It consists only of one EditFilePanel.
 */


public class EditFileFrame extends JFrame {

	private static final long serialVersionUID = 1L;
	private JPanel contentPane = null;
	private WorkflowPanel workflowPanel;

	
	public EditFileFrame(Edge edge, final WorkflowPanel workflowPanel) {
		super();
		//this.setSize(500, 600);
		this.workflowPanel = workflowPanel;
		this.setContentPane(getJContentPane(edge, this.workflowPanel));
		this.setTitle("Edit Edge - " + edge.getTooltipText());	
	}

	/**
	 * This method initializes jContentPane
	 * @param workflowPanel the workspace
	 * @param fileName the name of the file
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane(Edge edge, WorkflowPanel workflowPanel) {
		if (contentPane == null) {
			contentPane = new EditFilePanel(edge, workflowPanel, this);
			this.setSize(500,((EditFilePanel)contentPane).getDesiredHeight() + 28);
			contentPane.setLayout(null);
		}
		return contentPane;
	}

	public void finished() {
		this.dispose();
	}
	

}
