/*
* 
* ProFiDo - The Processes Fitting Toolkit Dortmund
* Copyright (C) 2010 - 2012 LS Informatik IV, TU Dortmund
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*
*/

package gui;

import javax.swing.JComponent;
import java.awt.Dimension;

/**
 * This class defines the properties of the "Help" frame.
 * 
 * It creates the frame which is shown after a click on the "Help" menu item.
 * HelpFrame contains a short information text and a link and an OK button.
 *
 */

public class HelpFrame extends AboutFrame{
	// TODO Merge and tidy About and Help Frame
	
	private static final long serialVersionUID = 1L;

	public HelpFrame(int width, int height) {
		super(width, height);
		this.setTitle("Help");	
		scrollpane.setPreferredSize(new Dimension(300, 200));
	}
	
	@Override
	public String getMessage() {
		return "http://www4.cs.tu-dortmund.de/profido";
	}
	
	@Override
	public JComponent getContentPanel() {
		return new HyperlinkPanel(this.getMessage());
	}
}
