/*
 * ProFiDo - The Processes Fitting Toolkit Dortmund
 * Copyright (C) 2010 - 2012 LS Informatik IV, TU Dortmund
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

package gui;

import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JPanel;
import core.history.History;


/**
 * This class defines the properties of the "History" frame.
 * It consists only of one HistoryPanel.
 */

public class ShowHistoryFrame extends JFrame {

	private static final long serialVersionUID = 1L;
	private ShowHistoryPanel contentPane;


	/**
	 * Create the frame.
	 */
	public ShowHistoryFrame(History history, WorkflowPanel workflowPanel) {
		super();
		this.setContentPane(getJContentPane(history, workflowPanel));
		this.setTitle("History");	
		this.addWindowListener(new WindowListener() {
			public void windowClosing(WindowEvent e) {
				//contentPane.panelClosing();
			}
			@Override
			public void windowActivated(WindowEvent arg0) {
			}
			@Override
			public void windowClosed(WindowEvent arg0) {
			}
			@Override
			public void windowDeactivated(WindowEvent arg0) {
			}
			@Override
			public void windowDeiconified(WindowEvent arg0) {
			}
			@Override
			public void windowIconified(WindowEvent arg0) {
			}
			@Override
			public void windowOpened(WindowEvent arg0) {
			}
		});

	}
	
	private JPanel getJContentPane(History history, WorkflowPanel workflowPanel) {
		if (contentPane == null) {
			contentPane = new ShowHistoryPanel(history, workflowPanel);
			this.setSize(500,600);
			contentPane.setLayout(null);
		}
		return contentPane;
	}

	public void finished() {
		this.dispose();
	}
	
	public JList getHistoryList() {
		return contentPane.getHistoryList();
	}

	public void setHistory(History history) {
		contentPane.setHistory(history);
	}
	


}
