/*
* 
* ProFiDo - The Processes Fitting Toolkit Dortmund
* Copyright (C) 2010 - 2012 LS Informatik IV, TU Dortmund
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License along
* with this program; if not, write to the Free Software Foundation, Inc.,
* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*
*/

package gui.helper;

import javax.swing.JTextField;
import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.Document;
import javax.swing.text.PlainDocument;

/**
 * 
 * Extends class JTextField. Only numbers as input are allowed.
 * Checks every char with isDigit() and deletes it is not true.
 * 
 */
public class IntegerField extends JTextField {
	 
	private static final long serialVersionUID = 6371424732467328099L;
	
	public IntegerField() {
        super();
    }

	/**
     * This method constructs a DefaultModel for the TextField.
     * 
     * @see IntegerField#IntegerField()
     */
	protected Document createDefaultModel() {
	      return new PositiveIntegerDocument();
    }

    /** 
     * Inner class which defines the document for the TextField.
     */
	static class PositiveIntegerDocument extends PlainDocument {

		private static final long serialVersionUID = 3903354062504763876L;

		public void insertString(int offs, String str, AttributeSet a) throws BadLocationException {        	
        	  String temp = "";

	          if (str == null) {
	        	  return;
	          }
	          
	          char[] integer = str.toCharArray();
	          for (int i = 0; i < integer.length; i++) {
	        	  if ( Character.isDigit(integer[i]) ) {
	        		  temp = temp + integer[i];
	        	  }
	          }
	          super.insertString(offs, temp, a);
	      }
        
    }
}