/*
 * ProFiDo - The Processes Fitting Toolkit Dortmund
 * Copyright (C) 2010 - 2012 LS Informatik IV, TU Dortmund
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

package helper;

/**
 * This class represents the signature (Input Type, Input Extension, Output Type, 
 * Output Extension) of one input or output converter.
 */
public class ConverterSignature {
	private String outputType;
	private String outputExtension;
	private String inputType;
	private String inputExtension;
	private int converterID;
	

	public ConverterSignature(int converterID, String inputType, String inputExtension, String outputType, String outputExtension) {
		super();
		this.outputType = outputType;
		this.outputExtension = outputExtension;
		this.inputType = inputType;
		this.inputExtension = inputExtension;
		this.converterID = converterID;
	}
	
	public String getOutputType() {
		return outputType;
	}
	
	public void setOutputType(String outputType) {
		this.outputType = outputType;
	}
	
	public String getOutputExtension() {
		return outputExtension;
	}
	
	public void setOutputExtension(String outputExtension) {
		this.outputExtension = outputExtension;
	}
	
	public String getInputType() {
		return inputType;
	}
	
	public void setInputType(String inputType) {
		this.inputType = inputType;
	}
	
	public String getInputExtension() {
		return inputExtension;
	}
	
	public void setInputExtension(String inputExtension) {
		this.inputExtension = inputExtension;
	}
	
	public int getConverterID() {
		return converterID;
	}
	
	public void setConverterID(int converterID) {
		this.converterID = converterID;
	}

	public String getConversionSignature() {
		return inputType + " (-> " + outputType + ")";
	}
}
